Name:           proxytunnel
Version:        1.9.0
Release:        1
Summary:        Tool to tunnel a connection through an standard HTTP(S) proxy
Group:          Applications/Internet
License:        GPLv2+ and BSD and MIT
URL:            http://proxytunnel.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tgz
Patch0:         %{name}-%{version}-aix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  openssl-devel >= 0.9.8
BuildRequires:  coreutils
Requires:       openssl >= 0.9.8

%description
ProxyTunnel is a program that connects stdin and stdout to a server somewhere 
on the network, through a standard HTTPS proxy. We mostly use it to tunnel SSH
sessions through HTTP(S) proxies.
Proxytunnel can currently do the following:
    * Create tunnels using HTTP and HTTPS proxies (That understand the HTTP 
      CONNECT command).
    * Work as a back-end driver for an OpenSSH client, and create SSH
      connections through HTTP(S) proxies.
    * Work as a stand-alone application, listening on a port for connections, 
      and then tunneling these connections to a specified destination. 


%prep
%setup -q
%patch0
# fix permissions
chmod 644 CHANGES


%build
export CC="cc -qcpluscmt"

make %{?_smp_mflags}


%install
export PATH=/opt/freeware/bin:$PATH

[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

make install PREFIX=%{_prefix} DESTDIR=${RPM_BUILD_ROOT}

/usr/bin/strip -X32_64 ${RPM_BUILD_ROOT}%{_bindir}/* || :

# make symbolic links
cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc CHANGES CREDITS KNOWN_ISSUES LICENSE.txt README RELNOTES TODO
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1
/usr/bin/%{name}


%changelog
* Mon May 23 2011 Michael Perzl <michael@perzl.org> - 1.9.0-1
- first version for AIX5L v5.1 and higher
